org.apache.felix.deploymentadmin

## Class DeploymentAdminConfig

- java.lang.Object
- - org.apache.felix.deploymentadmin.DeploymentAdminConfig

    public class DeploymentAdminConfig
    extends Object

Provides the configuration options for this DeploymentAdmin implementation.

### Constructor Summary

Constructors
Constructor and Description
`DeploymentAdminConfig(org.osgi.framework.BundleContext context)` Creates a new `DeploymentAdminConfig` instance with the default settings.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAllowForeignCustomizers()`
`boolean` `isStopUnaffectedBundles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeploymentAdminConfig

    public DeploymentAdminConfig(org.osgi.framework.BundleContext context)

Creates a new `DeploymentAdminConfig` instance with the default settings.

### Method Detail

#### isAllowForeignCustomizers

    public boolean isAllowForeignCustomizers()

Returns:
  `true` if foreign customizers (that are not part of a DP) are allowed, `false` if all customizers should be provided by this or an earlier DP.

#### isStopUnaffectedBundles

    public boolean isStopUnaffectedBundles()

Returns:
  `true` if all bundles should be stopped during the installation of a DP, `false` if only affected bundles should be stopped.